
%define kf5plasmaquick_major 5
%define libkf5plasmaquick %mklibname kf5plasmaquick %{kf5plasmaquick_major}
%define kf5plasma_major 5
%define libkf5plasma %mklibname kf5plasma %{kf5plasma_major}
%define kf5plasma_devel %mklibname kf5plasma -d

Summary:        KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components
Name:           plasma-framework
Version: 		5.115.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:       http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:              https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: lib64qt5base5-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5imageformats-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5bluetooth-devel


BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5designer-devel
BuildRequires: lib64qt5labstemplates-devel
BuildRequires: lib64qt5location-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5multimediawidgets-devel
BuildRequires: lib64qt5nfc-devel
BuildRequires: lib64qt5opengl-devel
BuildRequires: lib64qt5platformsupport-devel
BuildRequires: lib64qt5positioning-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5quickparticles-devel
BuildRequires: lib64qt5quicktest-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5scripttools-devel
BuildRequires: lib64qt5sensors-devel
BuildRequires: lib64qt5serialport-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5waylandclient-devel
BuildRequires: lib64qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires: lib64xrender-devel
BuildRequires: lib64xext-devel
BuildRequires: lib64sm-devel

BuildRequires: kidletime-devel
BuildRequires: kitemmodels-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kcodecs-devel
BuildRequires: karchive-devel
BuildRequires: threadweaver-devel
BuildRequires: kglobalaccel-devel
BuildRequires: kconfig-devel
BuildRequires: kauth-devel
BuildRequires: kwallet-devel
BuildRequires: kdbusaddons-devel
BuildRequires: ki18n-devel
BuildRequires: kguiaddons-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kservice-devel
BuildRequires: kitemviews-devel
BuildRequires: knotifications-devel
BuildRequires: kiconthemes-devel
BuildRequires: kcompletion-devel
BuildRequires: kjobwidgets-devel
BuildRequires: sonnet-devel
BuildRequires: ktextwidgets-devel
BuildRequires: kxmlgui-devel
BuildRequires: kbookmarks-devel
BuildRequires: kdeclarative-devel
BuildRequires: kunitconversion-devel
BuildRequires: kparts-devel
BuildRequires: kio-devel
BuildRequires: kdnssd-devel
BuildRequires: kcoreaddons-devel
BuildRequires: kcrash-devel
BuildRequires: solid-devel
BuildRequires: kdoctools-devel
BuildRequires: lib64kf5activities-devel

BuildRequires: openssl-devel
BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

%description
KDE Frameworks 5 Tier 3 framework with Plasma 2 libraries and runtime components

%files
%_kf5_bindir
%_kf5_datadir
%_kf5_libdir/qt5
%_kf5_libdir/*.so.*

%package -n %kf5plasma_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5plasma_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5plasma_devel
%_kf5_includedir
%_kf5_libdir/cmake
%_kf5_libdir/*.so
#--------------------------------------------------------------------

%prep

%setup -q
%autopatch -p1


%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja -DBUILD_TESTING=OFF -DBUILD_EXAMPLES=OFF
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

%changelog
* Sun Feb 11 2024 tex - 5.115.0-1pclos2024
- new version

* Sat Jan 13 2024 tex - 5.114.0-1pclos2024
- new version

* Fri Dec 15 2023 tex - 5.113.0-1pclos2023
- new version

* Sun Nov 12 2023 tex - 5.112.0-1pclos2023
- new version

* Thu Oct 19 2023 tex - 5.111.0-1pclos2023
- new version

* Sun Sep 10 2023 tex - 5.110.0-1pclos2023
- new version

* Sat Aug 19 2023 tex - 5.109.0-1pclos2023
- new version

* Sun Jul 09 2023 tex - 5.108.0-1pclos2023
- new version

* Sun Jun 11 2023 tex - 5.107.0-1pclos2023
- new version

* Sun May 14 2023 tex - 5.106.0-1pclos2023
- new version

* Sat Apr 08 2023 tex - 5.105.0-1pclos2023
- new version

* Wed Mar 08 2023 tex - 5.104.0-1pclos2023
- new version

* Sun Feb 12 2023 tex - 5.103.0-1pclos2023
- new version

* Sat Jan 14 2023 tex - 5.102.0-1pclos2023
- new version

* Sun Dec 11 2022 tex - 5.101.0-1pclos2022
- new version

* Tue Nov 29 2022 tex - 5.100.1-1pclos2022
- new version

* Wed Nov 16 2022 tex - 5.100.0-2pclos2022
- fix svg scaling

* Mon Nov 14 2022 tex - 5.100.0-1pclos2022
- new version

* Mon Oct 10 2022 tex - 5.99.0-1pclos2022
- new version

